Bug 1273428 - [abrt] file-roller: gdk_window_is_destroyed(): file-roller killed by SIGSEGV
Summary: [abrt] file-roller: gdk_window_is_destroyed(): file-roller killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: file-roller
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:a501fcb3fe8acc5cf3477038e53...
: 1178737 1206393 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-20 12:37 UTC by Mikhail
Modified: 2016-12-20 15:04 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 15:04:58 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (23.46 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: cgroup (190 bytes, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: core_backtrace (5.96 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: dso_list (10.11 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: environ (3.83 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: exploitable (82 bytes, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: limits (1.29 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: maps (50.92 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: mountinfo (3.94 KB, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: open_fds (891 bytes, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details
File: var_log_messages (322 bytes, text/plain)
2015-10-20 12:37 UTC, Mikhail
no flags Details

Description Mikhail 2015-10-20 12:37:34 UTC
Version-Release number of selected component:
file-roller-3.16.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        file-roller /home/mikhail/Downloads/Landing_Page.7z
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     15815
kernel:         4.2.3-300.fc23.x86_64+debug
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_is_destroyed at gdkwindow.c:2262
 #1 gtk_get_event_widget at gtkmain.c:2483
 #2 gtk_widget_event_internal at gtkwidget.c:7581
 #3 propagate_event_up at gtkmain.c:2517
 #4 propagate_event at gtkmain.c:2619
 #5 gtk_propagate_event at gtkmain.c:2654
 #6 egg_tree_multi_drag_button_release_event at eggtreemultidnd.c:183
 #7 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #12 gtk_widget_event_internal at gtkwidget.c:7692
 #13 propagate_event_up at gtkmain.c:2517

Potential duplicate: bug 1206393

Comment 1 Mikhail 2015-10-20 12:37:38 UTC
Created attachment 1084713 [details]
File: backtrace

Comment 2 Mikhail 2015-10-20 12:37:40 UTC
Created attachment 1084714 [details]
File: cgroup

Comment 3 Mikhail 2015-10-20 12:37:42 UTC
Created attachment 1084715 [details]
File: core_backtrace

Comment 4 Mikhail 2015-10-20 12:37:44 UTC
Created attachment 1084716 [details]
File: dso_list

Comment 5 Mikhail 2015-10-20 12:37:45 UTC
Created attachment 1084717 [details]
File: environ

Comment 6 Mikhail 2015-10-20 12:37:47 UTC
Created attachment 1084718 [details]
File: exploitable

Comment 7 Mikhail 2015-10-20 12:37:48 UTC
Created attachment 1084719 [details]
File: limits

Comment 8 Mikhail 2015-10-20 12:37:51 UTC
Created attachment 1084720 [details]
File: maps

Comment 9 Mikhail 2015-10-20 12:37:52 UTC
Created attachment 1084721 [details]
File: mountinfo

Comment 10 Mikhail 2015-10-20 12:37:54 UTC
Created attachment 1084722 [details]
File: open_fds

Comment 11 Mikhail 2015-10-20 12:37:55 UTC
Created attachment 1084723 [details]
File: proc_pid_status

Comment 12 Mikhail 2015-10-20 12:37:57 UTC
Created attachment 1084724 [details]
File: var_log_messages

Comment 13 steubens 2015-11-15 04:55:38 UTC
Another user experienced a similar problem:

just clicking through, clicked on javax, crypto, it crashed when i clicked on spec

tried to get it to do it again but it worked on subsequent tries

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        file-roller /usr/lib/jvm/java-1.8.0-openjdk-1.8.0.65-3.b17.fc23.i386/jre/lib/jce.jar
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     24375
kernel:         4.2.5-300.fc23.i686
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 14 Michael Catanzaro 2015-11-29 22:44:38 UTC
*** Bug 1206393 has been marked as a duplicate of this bug. ***

Comment 15 Michael Catanzaro 2015-11-29 22:44:41 UTC
*** Bug 1178737 has been marked as a duplicate of this bug. ***

Comment 16 Mikhail 2015-12-13 18:49:25 UTC
Another user experienced a similar problem:

crash occured when I try open into this http://www.rarlab.com/rar/rarlinux-x64-5.3.0.tar.gz archive

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        file-roller --notify --default-dir=file:///home/mikhail/abrt-spool --add file:///home/mikhail/abrt-spool/ccpp-2015-12-13-21:52:03-2492
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     8813
kernel:         4.2.7-300.fc23.x86_64
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 17 Jérôme Benoit 2016-03-23 18:10:39 UTC
Similar problem has been detected:

I was away from the computer unfortunatly. 

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller '/home/fraggle/T\xc3\xa9l\xc3\xa9chargements/plugin-dcSocialize-1.1.0.zip'
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     26730
kernel:         4.4.5-300.fc23.x86_64
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 18 David Novák 2016-04-23 09:48:09 UTC
Similar problem has been detected:

I opened boost archive, moved two levels down and then it crashed when I tried to move one level up.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller /home/david/Downloads/boost_1_60_0.tar.gz
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     13001
kernel:         4.4.7-300.fc23.x86_64
package:        file-roller-3.16.5-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 19 David Novák 2016-04-24 18:34:59 UTC
Similar problem has been detected:

Same as before (previous report made by me), only different file (both .zip)

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller /home/david/Dropbox/FIT/predmety/IPK/proj/proj2/xnovak1m.zip
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     5276
kernel:         4.4.7-300.fc23.x86_64
package:        file-roller-3.16.5-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 20 dashesy 2016-05-05 23:33:07 UTC
Similar problem has been detected:

openned after downloading, and SELinux immediately warned about something after crash

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller /tmp/WaveletChallenge.zip
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     4508
kernel:         4.2.3-300.fc23.x86_64
package:        file-roller-3.16.4-1.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 21 Michael Cronenworth 2016-05-18 03:50:53 UTC
Similar problem has been detected:

Tried to browse a tarball. Clicking on a folder randomly crashes file-roller.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller /home/michael/rpmbuild/SOURCES/wine-1.9.10.tar.bz2
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     4665
kernel:         4.4.8-300.fc23.x86_64
package:        file-roller-3.16.5-2.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 22 Damien Gombault 2016-05-23 13:05:12 UTC
Similar problem has been detected:

I was browsing ZIP file folders.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        file-roller /home/damien/ownCloud/Projets/Recia/Messagerie/XPI/31.0.3/sogo-integrator-31.0.3-recia.xpi
crash_function: gdk_window_is_destroyed
executable:     /usr/bin/file-roller
global_pid:     27901
kernel:         4.4.9-300.fc23.x86_64
package:        file-roller-3.16.5-2.fc23
reason:         file-roller killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 23 Fedora End Of Life 2016-11-24 12:51:22 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 24 Fedora End Of Life 2016-12-20 15:04:58 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.